org.bouncycastle.asn1.pkcs

## Class MacData

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.pkcs.MacData

All Implemented Interfaces:
  DEREncodable

    public class MacData
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`MacData(ASN1Sequence seq)`
`MacData(DigestInfo digInfo, byte[] salt, int iterationCount)`

### Method Summary

Methods
`static MacData` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getIterationCount()`
`DigestInfo` `getMac()`
`byte[]` `getSalt()`
`DERObject` `toASN1Object()` MacData ::= SEQUENCE { mac DigestInfo, macSalt OCTET STRING, iterations INTEGER DEFAULT 1 -- Note: The default is for historic reasons and its use is deprecated.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MacData

    public MacData(ASN1Sequence seq)

#### MacData

    public MacData(DigestInfo digInfo,
           byte[] salt,
           int iterationCount)

### Method Detail

#### getInstance

    public static MacData getInstance(java.lang.Object obj)

#### getMac

    public DigestInfo getMac()

#### getSalt

    public byte[] getSalt()

#### getIterationCount

    public java.math.BigInteger getIterationCount()

#### toASN1Object

    public DERObject toASN1Object()

     MacData ::= SEQUENCE {
         mac      DigestInfo,
         macSalt  OCTET STRING,
         iterations INTEGER DEFAULT 1
         -- Note: The default is for historic reasons and its use is deprecated. A
         -- higher value, like 1024 is recommended.

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  the basic DERObject construction.